Bug 124505 - SCSI PM2044UW and 9gb disk not visible in install
SCSI PM2044UW and 9gb disk not visible in install
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 21:18 EDT by Paul Tibbitts
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Tibbitts 2004-05-26 21:18:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
Computer has 440bx, P2 400mhz, 2 scsi controllers:

1. Adaptec 2940 with 1 HP dat drive
2. PM2044UW with 1 Altas 7200rpm 9gb drive

When booting RedHat 9, solaris 9, bsd 4.9, all above is visible during
install.  9gb drive is available as choice for filesystems on RH9.

When installing fedora core 1 and also core 2, the 9gb disk on the
PM2044UW is not listed as a disk choice.

Following install of core 2, the PM2044UW is visible in
/etc/sysconfig/hwconfig, but attached 9gb disk is not visible.

SCSI is not being used for boot purposes; install is done to primary
IDE master.  SCSI config utilities do run at hardware bootup and
identify all the scsi devices, listed above.

Even after complete core 2 install, 9gb disk cannot be accessed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. put install core 2 CD in computer, boot installer in text mode
2. boot and go to disk selection screen
3. repeat with redhat 9 CD - all disks now visible.
    

Expected Results:  Core 1/2 install should have shown all disks, like
Redhat 9 (solaris, etc.)

Can't access 9gb disk even after install completes.

Additional info:
Comment 1 Jeremy Katz 2004-05-27 12:51:03 EDT
Is the aic7xxx module loading?  What are the contents of /proc/scsi/scsi?
Comment 2 Paul Tibbitts 2004-05-27 14:15:32 EDT
Yes to aic7xxx.  But unlike Fedora 1+2, RH9 loads the eata module also
which I understand was unsupported in F1 and missing in F2. Yet as
shown below F2 hwconfig list eata as the driver for the PM2044UW so
I'm confused.   Here is entire lsmod output:

Module                  Size  Used by
ipv6                  184288  12 
parport_pc             19392  1 
lp                      8236  0 
parport                29640  2 parport_pc,lp
autofs4                10624  0 
sunrpc                101064  1 
3c59x                  30376  0 
floppy                 47440  0 
sg                     27552  0 
microcode               4768  0 
st                     31132  0 
dm_mod                 33184  0 
uhci_hcd               23708  0 
ext3                  102376  1 
jbd                    40216  1 ext3
aic7xxx               135864  0 
sd_mod                 16384  0 
scsi_mod               91344  4 sg,st,aic7xxx,sd_mod


Here is /proc/scsi/scsi:

Attached devices:
Host: scsi0 Channel: 00 Id: 05 Lun: 00
  Vendor: HP       Model: HP35480A         Rev: 1009
  Type:   Sequential-Access                ANSI SCSI revision: 02

Here is scsi info from /etc/sysconfig/hwconfig.  First entry is PM2044UW:

class: SCSI
bus: PCI
detached: 0
driver: eata
desc: "Distributed Tech|SmartCache/Raid I-IV Controller"
vendorId: 1044
deviceId: a400
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  f
pcifn:  0
-
class: SCSI
bus: PCI
detached: 0
driver: aic7xxx
desc: "Adaptec|AHA-2940/2940W / AIC-7871"
vendorId: 9004
deviceId: 7178
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  d
pcifn:  0
Comment 3 Paul Tibbitts 2004-05-27 14:17:07 EDT
Sorry I keep writing hwconfig vs hwconf.
Comment 4 Dave Jones 2005-04-16 00:51:22 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.